//importing json and geo paths
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

//setting width, height
const width = +svg.attr('width');
const height = +svg.attr('height');

//setting the geo porjection type
  const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

// appending json file 
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

json('https://unpkg.com/world-atlas@1/world/110m.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});
